## entangle-camera-picker

entangle-camera-picker

## Functions

EntangleCameraPicker * | entangle_camera_picker_new ()
void | entangle_camera_picker_set_camera_list ()

## Properties

EntangleCameraList * | cameras | Read / Write

## Signals

void | picker-connect | Run First
void | picker-refresh | Run First

## Types and Values

#define | ENTANGLE_TYPE_CAMERA_PICKER
| EntangleCameraPicker

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── EntangleCameraPicker

## Implemented Interfaces

EntangleCameraPicker implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### entangle_camera_picker_new ()

    EntangleCameraPicker *
    entangle_camera_picker_new (void);

### entangle_camera_picker_set_camera_list ()

    void
    entangle_camera_picker_set_camera_list
                                   (EntangleCameraPicker *picker,
                                    EntangleCameraList *cameras);

## Types and Values

### ENTANGLE_TYPE_CAMERA_PICKER

    #define ENTANGLE_TYPE_CAMERA_PICKER (entangle_camera_picker_get_type())

### EntangleCameraPicker

    typedef struct _EntangleCameraPicker EntangleCameraPicker;

## Property Details

### The `“cameras”` property

      “cameras”                  EntangleCameraList *

List of known camera objects.

Owner: EntangleCameraPicker

Flags: Read / Write

## Signal Details

### The `“picker-connect”` signal

    void
    user_function (EntangleCameraPicker *entanglecamerapicker,
                   GObject              *arg1,
                   gpointer              user_data)

Flags: Run First

### The `“picker-refresh”` signal

    void
    user_function (EntangleCameraPicker *entanglecamerapicker,
                   gpointer              user_data)

Flags: Run First